<?php

namespace App\Services\File\BIM;

use App\Services\File\BIM\BlackHole\BlackHole;
use App\Services\File\BIM\Contacts\BIMContact;

class BIMFactory
{
    public static function make(string $driver = null): BIMContact
    {
        $driver = $driver ? $driver : config("bim.default");

        return match ($driver) {
            "black_hole" => new BlackHole(),
        };
    }
}
